Package be.fgov.ehealth.standards.kmehr.id.v1

# Enum Class IDHCPARTYschemes

java.lang.Object
java.lang.Enum<IDHCPARTYschemes>
be.fgov.ehealth.standards.kmehr.id.v1.IDHCPARTYschemes

All Implemented Interfaces:
  `Serializable`, `Comparable<IDHCPARTYschemes>`, `java.lang.constant.Constable`

public enum IDHCPARTYschemes extends Enum<IDHCPARTYschemes>

Java class for ID-HCPARTYschemes

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ID-HCPARTYschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ID-HCPARTY"/>
         <enumeration value="INSS"/>
         <enumeration value="LOCAL"/>
         <enumeration value="ID-ENCRYPTION-APPLICATION"/>
         <enumeration value="ID-ENCRYPTION-ACTOR"/>
         <enumeration value="ID-ENCRYPTION-KEY"/>
         <enumeration value="ID-INSURANCE"/>
         <enumeration value="ID-CBE"/>
         <enumeration value="ID-EHP"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ID_CBE`
  `ID_EHP`
  `ID_ENCRYPTION_ACTOR`
  `ID_ENCRYPTION_APPLICATION`
  `ID_ENCRYPTION_KEY`
  `ID_HCPARTY`
  `ID_INSURANCE`
  `INSS`
  `LOCAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IDHCPARTYschemes`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static IDHCPARTYschemes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IDHCPARTYschemes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID_HCPARTY

    public static final IDHCPARTYschemes ID_HCPARTY

  - ### INSS

    public static final IDHCPARTYschemes INSS

  - ### LOCAL

    public static final IDHCPARTYschemes LOCAL

  - ### ID_ENCRYPTION_APPLICATION

    public static final IDHCPARTYschemes ID_ENCRYPTION_APPLICATION

  - ### ID_ENCRYPTION_ACTOR

    public static final IDHCPARTYschemes ID_ENCRYPTION_ACTOR

  - ### ID_ENCRYPTION_KEY

    public static final IDHCPARTYschemes ID_ENCRYPTION_KEY

  - ### ID_INSURANCE

    public static final IDHCPARTYschemes ID_INSURANCE

  - ### ID_CBE

    public static final IDHCPARTYschemes ID_CBE

  - ### ID_EHP

    public static final IDHCPARTYschemes ID_EHP

- ## Method Details

  - ### values

    public static IDHCPARTYschemes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IDHCPARTYschemes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static IDHCPARTYschemes fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.